package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0158
 * @Description : 患者姓名与入院记录不一致
 * @Author : 胡敬
 * @Date: 2020-03-16 09:47
 */
@Component
public class FIRP0158 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null
                && inputInfo.getBeHospitalizedDoc() != null && inputInfo.getBeHospitalizedDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            Map<String, String> beHospitalStructureMap = inputInfo.getBeHospitalizedDoc().getStructureMap();
            String firstAdmissionName = firstpageStructureMap.get(Content.name);
            String admissionName = beHospitalStructureMap.get(Content.name);
            if (StringUtil.isBlank(firstAdmissionName) || StringUtil.isBlank(admissionName)){
                return;
            }
            if (!CatalogueUtil.compareToken(firstAdmissionName, admissionName)) {
                status.set("-1");
            }
        }
    }
}